#ifndef PREFERENCES_HPP_INCLUDED
#define PREFERENCES_HPP_INCLUDED

#include "../JavaClass/Object.hpp"
#include "../JavaClass/Class.hpp"
#include "../JavaClass/LinkedHashMap.hpp"
#include <cstdint>
#include <string>

namespace Internal
{
    class Preferences : public Object
    {
        public:
            Preferences(const void* Obj);

            Preferences() = default;
            Preferences(Preferences&& Obj) = default;
            Preferences(const Preferences& Obj) = default;
            Preferences& operator=(Preferences&& Obj) = default;
            Preferences& operator=(const Preferences& Obj) = default;

            static Class GetClass();

            bool GetHideRoofs() const;
            bool GetMuted() const;
            LinkedHashMap GetPreferences() const;
            std::int32_t GetScreenType() const;
            std::string GetUsernameCached() const;
            bool GetUsernameHidden() const;

    };
}

#endif // PREFERENCES_HPP_INCLUDED
